<!-- Modal -->
<div class="modal fade upload-Document-model" id="documentModalBoard" role="dialog">
  <div class="modal-dialog modal-dialog-position modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h3> {{ "AD_NW_DOC" | translate }}</h3>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body">
        <!--wrapper-wrap start -->
        <div class="wrapper-wrap review-submitted-doc">
          <div class="row">
            <div class="col-sm-3">
              <label>{{ "DOC_NAM" | translate }}:</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <input class="form-control form-input-new" placeholder='
                {{ "ENTR_DOC_NAM" | translate }}' data-ng-model="tempDocument.name" name="uploadDocName"></input>
            </div>
          </div>
          <hr class="dotted-line">
          </hr>
          <div class="row">
            <div class="col-sm-3">
              <label> {{ "DOC_TYP" | translate }}:</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <select class="form-control form-select-new" data-ng-model="tempDocument.type" name="uploadDocType">
                <option value="Link"> {{ "LNK" | translate }}</option>
                <option value="File"> {{ "FILE" | translate }}</option>
              </select>
            </div>
          </div>
          <hr class="dotted-line">
          </hr>
          <div class="row">
            <div class="col-sm-3">
              <label>{{ "FILE" | translate }}:</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <input type="text" class="form-control form-input-new" data-ng-if="tempDocument.type == 'Link'" placeholder='{{ "ENTR_URL_HERE" | translate }}' data-ng-model="tempDocument.file" name="uploadDocLink"></input>
              <input type="file" data-ng-model="tempDocument.file" file-model as-file id="modalDocument" style="display:none;" data-ng-if="tempDocument.type == 'File'" class="uploadElement uploadDocumentInByte" data-ng-change="promisifyFile('supporting')" name="uploadDocFile"></input>
              <input class="form-control form-input" type="text" ng-model="tempDocument.file[0].name" data-ng-click="openFileInput('modalDocument')" data-ng-if="tempDocument.type == 'File'" readonly="readonly"></input>
            </div>
          </div>
          <hr class="dotted-line">
          </hr>
          <div class="row">
            <div class="col-sm-3">
              <label> {{ "COMMENTS" | translate }}:</label>
            </div>
            <div class="col-sm-7 col-xs-offset-right-3">
              <textarea data-ng-model="tempDocument.comment" class="form-control form-input-new" name="uploadDocComment"></textarea>
            </div>
          </div>
        </div>
        <!--wrapper-wrap end -->
        <div class="clear"></div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal"> {{ "CLOSE" | translate }}</button>
        <button type="button" class="btn btn-primary" data-dismiss="modal" data-ng-click="onDocumentUploadSave('supporting')"> {{ "SAVE" | translate }}</button>
      </div>
    </div>
  </div>
</div>